import { Icon, Popup } from '@chayns-components/core';
import React from 'react';
import { CodeHighlighterTheme } from '../../../types/codeHighlighter';
import { StyledCopyToClipboard, StyledCopyToClipboardText } from './CopyToClipboard.styles';
const CopyToClipboard = _ref => {
  let {
    copyButtonText,
    text,
    theme
  } = _ref;
  const handleClick = () => {
    void navigator.clipboard.writeText(text);
  };
  const popupContent = /*#__PURE__*/React.createElement("span", {
    style: {
      display: 'block',
      padding: '5px'
    }
  }, /*#__PURE__*/React.createElement("p", null, "Kopiert!"));
  return /*#__PURE__*/React.createElement(Popup, {
    content: popupContent
  }, /*#__PURE__*/React.createElement(StyledCopyToClipboard, {
    onClick: handleClick
  }, /*#__PURE__*/React.createElement(Icon, {
    icons: ['fa-light fa-clipboard'],
    color: theme === CodeHighlighterTheme.Dark ? '#e5e5e5' : '#999999'
  }), copyButtonText && /*#__PURE__*/React.createElement(StyledCopyToClipboardText, {
    $codeTheme: theme
  }, copyButtonText)));
};
CopyToClipboard.displayName = 'CopyToClipboard';
export default CopyToClipboard;
//# sourceMappingURL=CopyToClipboard.js.map